
QGIS Application - Bug report #21589

Qgis has 2 active tasks that never complete even though they are both at 100%

2019-03-14 04:41 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.6.0 Regression?: No

Operating System: Debian 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29405

Description

While exporting from a layout

The screen stops updating

Qgis reports there are 3 active tasks, these are 2 Running Checks and 1 Exporting the layout.

Exporting the layout can be cancelled but the Running Checks cannot be cancelled

The system continues to report the Running Checks active tasks infinitely and no other task can be undertaken as the canvas will not

refresh.Both of the Running Checks are at 100%.

Associated revisions

Revision 5b04719b - 2019-04-01 08:39 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

Revision b28227fa - 2019-04-01 10:17 PM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

Revision 66504fe0 - 2019-04-02 12:43 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)
Revision e300042e - 2019-04-02 06:18 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

Revision e75b934e - 2019-04-02 11:12 AM - Nyall Dawson

Fix stuck tasks when proxied task using a proxy progress task

completes before the proxy task has been started by task manager

Fixes #21589, fixes #19761

(cherry picked from commit b28227fa7f946e0c0ccba1b588a8ac47fef0c85f)

History

#1 - 2019-04-01 10:17 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|b28227fa7f946e0c0ccba1b588a8ac47fef0c85f.
